Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.pof
Interface PofConstants

All Known Implementing Classes:
  ExternalizableLitePofSerializer, ExternalizablePofSerializer, LoggingPofHandler, PofBufferReader, PofBufferReader.UserTypeReader, PofBufferWriter, PofBufferWriter.UserTypeWriter, PofDeltaCompressor, PofHelper, PofParser, PofPrincipal, PofValueParser, PortableObjectSerializer, RawDate, RawDateTime, RawDayTimeInterval, RawTime, RawTimeInterval, RawYearMonthInterval, ValidatingPofHandler, WritingPofHandler, XmlSerializablePofSerializer

      public interface PofConstants

The constants related to POF streams.

Since:
  Coherence 3.2
Author:
  cp/jh 2006.07.11

Field Summary
`static int` | `J_BIG_DECIMAL`
`static int` | `J_BIG_INTEGER`
`static int` | `J_BINARY`
`static int` | `J_BOOLEAN`
`static int` | `J_BOOLEAN_ARRAY`
`static int` | `J_BYTE`
`static int` | `J_BYTE_ARRAY`
`static int` | `J_CHAR_ARRAY`
`static int` | `J_CHARACTER`
`static int` | `J_COLLECTION`
`static int` | `J_DATE`
`static int` | `J_DATETIME`
`static int` | `J_DOUBLE`
`static int` | `J_DOUBLE_ARRAY`
`static int` | `J_FLOAT`
`static int` | `J_FLOAT_ARRAY`
`static int` | `J_INT_ARRAY`
`static int` | `J_INTEGER`
`static int` | `J_LONG`
`static int` | `J_LONG_ARRAY`
`static int` | `J_MAP`
`static int` | `J_NULL`
`static int` | `J_OBJECT_ARRAY`
`static int` | `J_QUAD`
`static int` | `J_RAW_DATE`
`static int` | `J_RAW_DATETIME`
`static int` | `J_RAW_DAY_TIME_INTERVAL`
`static int` | `J_RAW_TIME`
`static int` | `J_RAW_TIME_INTERVAL`
`static int` | `J_RAW_YEAR_MONTH_INTERVAL`
`static int` | `J_SHORT`
`static int` | `J_SHORT_ARRAY`
`static int` | `J_SPARSE_ARRAY`
`static int` | `J_STRING`
`static int` | `J_TIME`
`static int` | `J_TIMESTAMP`
`static int` | `J_USER_TYPE`
`static int` | `MAX_DECIMAL128_SCALE` Maximum scale for the IEEE-754r 128-bit decimal format.
`static java.math.BigInteger` | `MAX_DECIMAL128_UNSCALED` Maximum unscaled value for the IEEE-754r 128-bit decimal format.
`static int` | `MAX_DECIMAL32_SCALE` Maximum scale for the IEEE-754r 32-bit decimal format.
`static java.math.BigInteger` | `MAX_DECIMAL32_UNSCALED` Maximum unscaled value for the IEEE-754r 32-bit decimal format.
`static int` | `MAX_DECIMAL64_SCALE` Maximum scale for the IEEE-754r 64-bit decimal format.
`static java.math.BigInteger` | `MAX_DECIMAL64_UNSCALED` Maximum unscaled value for the IEEE-754r 64-bit decimal format.
`static int` | `MIN_DECIMAL128_SCALE` Minimum scale for the IEEE-754r 128-bit decimal format.
`static int` | `MIN_DECIMAL32_SCALE` Minimum scale for the IEEE-754r 32-bit decimal format.
`static int` | `MIN_DECIMAL64_SCALE` Minimum scale for the IEEE-754r 64-bit decimal format.
`static int` | `T_ARRAY`
`static int` | `T_BOOLEAN`
`static int` | `T_CHAR`
`static int` | `T_CHAR_STRING`
`static int` | `T_COLLECTION`
`static int` | `T_DATE`
`static int` | `T_DATETIME`
`static int` | `T_DAY_TIME_INTERVAL`
`static int` | `T_DECIMAL128`
`static int` | `T_DECIMAL32`
`static int` | `T_DECIMAL64`
`static int` | `T_FLOAT128`
`static int` | `T_FLOAT32`
`static int` | `T_FLOAT64`
`static int` | `T_IDENTITY`
`static int` | `T_INT128`
`static int` | `T_INT16`
`static int` | `T_INT32`
`static int` | `T_INT64`
`static int` | `T_MAP`
`static int` | `T_OCTET`
`static int` | `T_OCTET_STRING`
`static int` | `T_REFERENCE`
`static int` | `T_SPARSE_ARRAY`
`static int` | `T_TIME`
`static int` | `T_TIME_INTERVAL`
`static int` | `T_UNIFORM_ARRAY`
`static int` | `T_UNIFORM_COLLECTION`
`static int` | `T_UNIFORM_KEYS_MAP`
`static int` | `T_UNIFORM_MAP`
`static int` | `T_UNIFORM_SPARSE_ARRAY`
`static int` | `T_UNKNOWN`
`static int` | `T_YEAR_MONTH_INTERVAL`
`static int` | `V_BOOLEAN_FALSE`
`static int` | `V_BOOLEAN_TRUE`
`static int` | `V_COLLECTION_EMPTY`
`static int` | `V_FP_NAN`
`static int` | `V_FP_NEG_INFINITY`
`static int` | `V_FP_POS_INFINITY`
`static int` | `V_INT_0`
`static int` | `V_INT_1`
`static int` | `V_INT_10`
`static int` | `V_INT_11`
`static int` | `V_INT_12`
`static int` | `V_INT_13`
`static int` | `V_INT_14`
`static int` | `V_INT_15`
`static int` | `V_INT_16`
`static int` | `V_INT_17`
`static int` | `V_INT_18`
`static int` | `V_INT_19`
`static int` | `V_INT_2`
`static int` | `V_INT_20`
`static int` | `V_INT_21`
`static int` | `V_INT_22`
`static int` | `V_INT_3`
`static int` | `V_INT_4`
`static int` | `V_INT_5`
`static int` | `V_INT_6`
`static int` | `V_INT_7`
`static int` | `V_INT_8`
`static int` | `V_INT_9`
`static int` | `V_INT_NEG_1`
`static int` | `V_REFERENCE_NULL`
`static int` | `V_STRING_ZERO_LENGTH`

Field Detail

### T_INT16

    static final int T_INT16

  See Also:
    Constant Field Values

### T_INT32

    static final int T_INT32

  See Also:
    Constant Field Values

### T_INT64

    static final int T_INT64

  See Also:
    Constant Field Values

### T_INT128

    static final int T_INT128

  See Also:
    Constant Field Values

### T_FLOAT32

    static final int T_FLOAT32

  See Also:
    Constant Field Values

### T_FLOAT64

    static final int T_FLOAT64

  See Also:
    Constant Field Values

### T_FLOAT128

    static final int T_FLOAT128

  See Also:
    Constant Field Values

### T_DECIMAL32

    static final int T_DECIMAL32

  See Also:
    Constant Field Values

### T_DECIMAL64

    static final int T_DECIMAL64

  See Also:
    Constant Field Values

### T_DECIMAL128

    static final int T_DECIMAL128

  See Also:
    Constant Field Values

### T_BOOLEAN

    static final int T_BOOLEAN

  See Also:
    Constant Field Values

### T_OCTET

    static final int T_OCTET

  See Also:
    Constant Field Values

### T_OCTET_STRING

    static final int T_OCTET_STRING

  See Also:
    Constant Field Values

### T_CHAR

    static final int T_CHAR

  See Also:
    Constant Field Values

### T_CHAR_STRING

    static final int T_CHAR_STRING

  See Also:
    Constant Field Values

### T_DATE

    static final int T_DATE

  See Also:
    Constant Field Values

### T_YEAR_MONTH_INTERVAL

    static final int T_YEAR_MONTH_INTERVAL

  See Also:
    Constant Field Values

### T_TIME

    static final int T_TIME

  See Also:
    Constant Field Values

### T_TIME_INTERVAL

    static final int T_TIME_INTERVAL

  See Also:
    Constant Field Values

### T_DATETIME

    static final int T_DATETIME

  See Also:
    Constant Field Values

### T_DAY_TIME_INTERVAL

    static final int T_DAY_TIME_INTERVAL

  See Also:
    Constant Field Values

### T_COLLECTION

    static final int T_COLLECTION

  See Also:
    Constant Field Values

### T_UNIFORM_COLLECTION

    static final int T_UNIFORM_COLLECTION

  See Also:
    Constant Field Values

### T_ARRAY

    static final int T_ARRAY

  See Also:
    Constant Field Values

### T_UNIFORM_ARRAY

    static final int T_UNIFORM_ARRAY

  See Also:
    Constant Field Values

### T_SPARSE_ARRAY

    static final int T_SPARSE_ARRAY

  See Also:
    Constant Field Values

### T_UNIFORM_SPARSE_ARRAY

    static final int T_UNIFORM_SPARSE_ARRAY

  See Also:
    Constant Field Values

### T_MAP

    static final int T_MAP

  See Also:
    Constant Field Values

### T_UNIFORM_KEYS_MAP

    static final int T_UNIFORM_KEYS_MAP

  See Also:
    Constant Field Values

### T_UNIFORM_MAP

    static final int T_UNIFORM_MAP

  See Also:
    Constant Field Values

### T_IDENTITY

    static final int T_IDENTITY

  See Also:
    Constant Field Values

### T_REFERENCE

    static final int T_REFERENCE

  See Also:
    Constant Field Values

### V_BOOLEAN_FALSE

    static final int V_BOOLEAN_FALSE

  See Also:
    Constant Field Values

### V_BOOLEAN_TRUE

    static final int V_BOOLEAN_TRUE

  See Also:
    Constant Field Values

### V_STRING_ZERO_LENGTH

    static final int V_STRING_ZERO_LENGTH

  See Also:
    Constant Field Values

### V_COLLECTION_EMPTY

    static final int V_COLLECTION_EMPTY

  See Also:
    Constant Field Values

### V_REFERENCE_NULL

    static final int V_REFERENCE_NULL

  See Also:
    Constant Field Values

### V_FP_POS_INFINITY

    static final int V_FP_POS_INFINITY

  See Also:
    Constant Field Values

### V_FP_NEG_INFINITY

    static final int V_FP_NEG_INFINITY

  See Also:
    Constant Field Values

### V_FP_NAN

    static final int V_FP_NAN

  See Also:
    Constant Field Values

### V_INT_NEG_1

    static final int V_INT_NEG_1

  See Also:
    Constant Field Values

### V_INT_0

    static final int V_INT_0

  See Also:
    Constant Field Values

### V_INT_1

    static final int V_INT_1

  See Also:
    Constant Field Values

### V_INT_2

    static final int V_INT_2

  See Also:
    Constant Field Values

### V_INT_3

    static final int V_INT_3

  See Also:
    Constant Field Values

### V_INT_4

    static final int V_INT_4

  See Also:
    Constant Field Values

### V_INT_5

    static final int V_INT_5

  See Also:
    Constant Field Values

### V_INT_6

    static final int V_INT_6

  See Also:
    Constant Field Values

### V_INT_7

    static final int V_INT_7

  See Also:
    Constant Field Values

### V_INT_8

    static final int V_INT_8

  See Also:
    Constant Field Values

### V_INT_9

    static final int V_INT_9

  See Also:
    Constant Field Values

### V_INT_10

    static final int V_INT_10

  See Also:
    Constant Field Values

### V_INT_11

    static final int V_INT_11

  See Also:
    Constant Field Values

### V_INT_12

    static final int V_INT_12

  See Also:
    Constant Field Values

### V_INT_13

    static final int V_INT_13

  See Also:
    Constant Field Values

### V_INT_14

    static final int V_INT_14

  See Also:
    Constant Field Values

### V_INT_15

    static final int V_INT_15

  See Also:
    Constant Field Values

### V_INT_16

    static final int V_INT_16

  See Also:
    Constant Field Values

### V_INT_17

    static final int V_INT_17

  See Also:
    Constant Field Values

### V_INT_18

    static final int V_INT_18

  See Also:
    Constant Field Values

### V_INT_19

    static final int V_INT_19

  See Also:
    Constant Field Values

### V_INT_20

    static final int V_INT_20

  See Also:
    Constant Field Values

### V_INT_21

    static final int V_INT_21

  See Also:
    Constant Field Values

### V_INT_22

    static final int V_INT_22

  See Also:
    Constant Field Values

### T_UNKNOWN

    static final int T_UNKNOWN

  See Also:
    Constant Field Values

### J_NULL

    static final int J_NULL

  See Also:
    Constant Field Values

### J_BOOLEAN

    static final int J_BOOLEAN

  See Also:
    Constant Field Values

### J_BYTE

    static final int J_BYTE

  See Also:
    Constant Field Values

### J_CHARACTER

    static final int J_CHARACTER

  See Also:
    Constant Field Values

### J_SHORT

    static final int J_SHORT

  See Also:
    Constant Field Values

### J_INTEGER

    static final int J_INTEGER

  See Also:
    Constant Field Values

### J_LONG

    static final int J_LONG

  See Also:
    Constant Field Values

### J_BIG_INTEGER

    static final int J_BIG_INTEGER

  See Also:
    Constant Field Values

### J_FLOAT

    static final int J_FLOAT

  See Also:
    Constant Field Values

### J_DOUBLE

    static final int J_DOUBLE

  See Also:
    Constant Field Values

### J_QUAD

    static final int J_QUAD

  See Also:
    Constant Field Values

### J_BIG_DECIMAL

    static final int J_BIG_DECIMAL

  See Also:
    Constant Field Values

### J_BINARY

    static final int J_BINARY

  See Also:
    Constant Field Values

### J_STRING

    static final int J_STRING

  See Also:
    Constant Field Values

### J_DATE

    static final int J_DATE

  See Also:
    Constant Field Values

### J_TIME

    static final int J_TIME

  See Also:
    Constant Field Values

### J_DATETIME

    static final int J_DATETIME

  See Also:
    Constant Field Values

### J_TIMESTAMP

    static final int J_TIMESTAMP

  See Also:
    Constant Field Values

### J_RAW_DATE

    static final int J_RAW_DATE

  See Also:
    Constant Field Values

### J_RAW_TIME

    static final int J_RAW_TIME

  See Also:
    Constant Field Values

### J_RAW_DATETIME

    static final int J_RAW_DATETIME

  See Also:
    Constant Field Values

### J_RAW_YEAR_MONTH_INTERVAL

    static final int J_RAW_YEAR_MONTH_INTERVAL

  See Also:
    Constant Field Values

### J_RAW_TIME_INTERVAL

    static final int J_RAW_TIME_INTERVAL

  See Also:
    Constant Field Values

### J_RAW_DAY_TIME_INTERVAL

    static final int J_RAW_DAY_TIME_INTERVAL

  See Also:
    Constant Field Values

### J_BOOLEAN_ARRAY

    static final int J_BOOLEAN_ARRAY

  See Also:
    Constant Field Values

### J_BYTE_ARRAY

    static final int J_BYTE_ARRAY

  See Also:
    Constant Field Values

### J_CHAR_ARRAY

    static final int J_CHAR_ARRAY

  See Also:
    Constant Field Values

### J_SHORT_ARRAY

    static final int J_SHORT_ARRAY

  See Also:
    Constant Field Values

### J_INT_ARRAY

    static final int J_INT_ARRAY

  See Also:
    Constant Field Values

### J_LONG_ARRAY

    static final int J_LONG_ARRAY

  See Also:
    Constant Field Values

### J_FLOAT_ARRAY

    static final int J_FLOAT_ARRAY

  See Also:
    Constant Field Values

### J_DOUBLE_ARRAY

    static final int J_DOUBLE_ARRAY

  See Also:
    Constant Field Values

### J_OBJECT_ARRAY

    static final int J_OBJECT_ARRAY

  See Also:
    Constant Field Values

### J_SPARSE_ARRAY

    static final int J_SPARSE_ARRAY

  See Also:
    Constant Field Values

### J_COLLECTION

    static final int J_COLLECTION

  See Also:
    Constant Field Values

### J_MAP

    static final int J_MAP

  See Also:
    Constant Field Values

### J_USER_TYPE

    static final int J_USER_TYPE

  See Also:
    Constant Field Values

### MAX_DECIMAL32_SCALE

    static final int MAX_DECIMAL32_SCALE

  Maximum scale for the IEEE-754r 32-bit decimal format.
  See Also:
    Constant Field Values

### MIN_DECIMAL32_SCALE

    static final int MIN_DECIMAL32_SCALE

  Minimum scale for the IEEE-754r 32-bit decimal format.
  See Also:
    Constant Field Values

### MAX_DECIMAL32_UNSCALED

    static final java.math.BigInteger MAX_DECIMAL32_UNSCALED

  Maximum unscaled value for the IEEE-754r 32-bit decimal format.

### MAX_DECIMAL64_SCALE

    static final int MAX_DECIMAL64_SCALE

  Maximum scale for the IEEE-754r 64-bit decimal format.
  See Also:
    Constant Field Values

### MIN_DECIMAL64_SCALE

    static final int MIN_DECIMAL64_SCALE

  Minimum scale for the IEEE-754r 64-bit decimal format.
  See Also:
    Constant Field Values

### MAX_DECIMAL64_UNSCALED

    static final java.math.BigInteger MAX_DECIMAL64_UNSCALED

  Maximum unscaled value for the IEEE-754r 64-bit decimal format.

### MAX_DECIMAL128_SCALE

    static final int MAX_DECIMAL128_SCALE

  Maximum scale for the IEEE-754r 128-bit decimal format.
  See Also:
    Constant Field Values

### MIN_DECIMAL128_SCALE

    static final int MIN_DECIMAL128_SCALE

  Minimum scale for the IEEE-754r 128-bit decimal format.
  See Also:
    Constant Field Values

### MAX_DECIMAL128_UNSCALED

    static final java.math.BigInteger MAX_DECIMAL128_UNSCALED

  Maximum unscaled value for the IEEE-754r 128-bit decimal format.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.